Name:		mbrowse
Version: 	0.4.3
Release:	3.1
License: 	GPL
Group: 		Applications/Netzwerk
Summary: 	SNMP MIB Browser 
URL: 		http://www.kill-9.org/mbrowse/index.html
Source0: 	%{name}-%{version}.tar.bz2
##Patch:		%{name}-%{version}.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build

BuildRequires: net-snmp net-snmp-devel openssl-devel glib2-devel glibc-devel gcc gcc-c++ rpm-devel

%if 0%{?suse_version}
#BuildRequires:	gtk-devel tcpd-devel
BuildRequires:	gtk2-devel tcpd-devel
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version} || 0%{?redhat_version}
#BuildRequires: gtk+-devel tcp_wrappers
BuildRequires:	gtk2-devel tcp_wrappers
%endif

%description
Mbrowse is an SNMP MIB browser based on GTK and net-snmp.

%prep
%setup -q 
##patch

%build
LDFLAGS=-L%{_libdir} CPPFLAGS=-I%{_prefix}/include/net-snmp ./configure \
 --prefix=%{_prefix} \
 --mandir=%{_mandir} \
 --datadir=%{_datadir} \
 --sysconfdir=%{_sysconfdir} \
 --with-snmp-prefix=/usr \
 --with-snmp-include=%{_prefix}/include/net-snmp \
 --with-snmp-lib=%{_libdir} || cat config.log

%__make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
%__make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/mbrowse*


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/mbrowse

%changelog
* Sat Jan 26 2013 cs@linux-administrator.com
- update to 0.4.3
